Page MenuHomePhabricator

Special:GlobalRenameRequest button is too small
Closed, ResolvedPublic

Description

In French, the globalrenamerequest-submit-text message is “Demander un changement de nom” (I cannot find a shorter version without loosing information), which is too long for the input where it is included.

Seen on mw.org; same issue exists for (at least) Spanish and German.

Event Timeline

Ltrlg created this task.Jan 31 2015, 1:25 PM
Ltrlg raised the priority of this task from to Needs Triage.
Ltrlg updated the task description. (Show Details)
Ltrlg added a subscriber: Ltrlg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2015, 1:25 PM
Ltrlg updated the task description. (Show Details)Jan 31 2015, 1:34 PM
Ltrlg set Security to None.
Glaisher added a subscriber: Glaisher.

Looks like an issue with MediaWiki UI rather than CA itself.

Legoktm added a subscriber: bd808.Mar 3 2015, 10:01 PM

The input fields on the screenshot and the ones on the link look different. The one in the screenshot seem to have the mw-ui-input class applied.

The issue is happening because VForm adds the mw-ui-big class on the submit form. The text fits properly once its removed.

Another option is to not use VForm and build a normal HTMLForm. But that would make it way too wide.

I think the best option would be to setId on the HTMLForm and set the width from a CSS within the extension.

Jdforrester-WMF triaged this task as Low priority.Jun 4 2015, 12:12 AM

Change 291595 had a related patch set uploaded (by Glaisher):
Convert Special:GlobalRenameRequest to OOUI

https://gerrit.wikimedia.org/r/291595

Change 291595 merged by jenkins-bot:
Convert Special:GlobalRenameRequest to OOUI

https://gerrit.wikimedia.org/r/291595

Prtksxna closed this task as Resolved.Jan 3 2017, 11:45 AM
Prtksxna assigned this task to Glaisher.
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

No longer a problem with the new design per T104299:

(Argh, that screenshot is actually misleading, I've only now noticed that the text of the message has been changed. But either way, the new button will just get wider to accommodate the text.)

...and the screenshots in the description and my comment make it even more misleading :(